/*
 * iSCSI driver for Linux
 * Copyright (C) 2001 Cisco Systems, Inc.
 * maintained by linux-iscsi-devel@lists.sourceforge.net
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published
 * by the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * See the file COPYING included with this distribution for more details.
 *
 * $Id: iscsi-common.h,v 1.1.2.1 2004/08/23 07:13:26 krishmnc Exp $
 *
 * Common info needed by various daemon files
 */
 
#ifndef ISCSI_COMMON_H_
#define ISCSI_COMMON_H_

#ifdef __BIG_ENDIAN
#    define WORDS_BIGENDIAN 1
#endif

#include <stdlib.h>
#include <stdio.h>
#include <syslog.h>
#include <ctype.h>
#include <sys/ioctl.h>
#include <sys/param.h>
#include <arpa/inet.h>
#include <net/if.h>
#include <string.h>
#define AS_ERROR  LOG_ERR
#define AS_NOTICE LOG_NOTICE
#define AS_INFO   LOG_INFO
#define AS_DEBUG  LOG_DEBUG
#define iscsi_inet_aton inet_aton
#define iscsi_strtoul   strtoul
extern void debugmsg(int level, const char *fmt, ...);
extern void errormsg(const char *fmt, ...);
extern void logmsg(int priority, const char *fmt, ...);

#endif
