/*
 * iSCSI driver for Linux
 * Copyright (C) 2001 Cisco Systems, Inc.
 * maintained by linux-iscsi-devel@lists.sourceforge.net
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published
 * by the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * See the file COPYING included with this distribution for more details.
 *
 * $Id $
 *
 * iscsi network boot information structure.
 *
 */

#ifndef ISCSI_NETWORK_BOOT_H_
#define ISCSI_NETWORK_BOOT_H_

#define INBP_BUF_SIZE 1024
#define SCANAREA 1024
#define SIGNATURE "Cisco PiXiE Dust"
#define DADDLEN 6

struct sapiNBP {
	uint8_t signature[20];	/* "Cisco PiXiE Dust" */
	uint32_t targetipaddr;	/* iSCSI target IPv4 address */
	uint32_t myipmask;	/* lan netmask */
	uint32_t ripaddr;	/* gateway IPv4 address */
	uint8_t tgtethaddr[DADDLEN];	/* target ethernet address */
	uint8_t structVersion;	/* version number of this struct */
	uint8_t pad1;		/* pad for windows driver */
	uint16_t tcpport;	/* tcp port to use */
	uint16_t slun;		/* boot disk lun */
	uint8_t targetstring[256];	/* boot disk target */
	uint32_t ntbootdd_routine;
	uint32_t myipaddr;	/* Our IPv4 address */
	uint8_t myethaddr[DADDLEN];	/* Our ethernet address */
	uint8_t pad2[2];	/* pad for windows driver */
	uint8_t bootPartitionNumber;	/* boot partition number of c: */
	uint8_t numberLocalDisks;
	uint8_t nbpVersion[32];	/* NBP version string */
};

extern void establish_iscsi_network_boot_session(struct sapiNBP *nbp);
extern void get_inbp_info(struct sapiNBP *nbp);
extern int bring_up_network(struct sapiNBP *nbp);
extern void set_iscsi_network_boot(void);


#endif
